package com.bonus.common.houqin.mq.rabbit.mqtt;

public class ResourceCheck extends BaseCheck {
   private String resource;
   private String name;
   private String permission;

   public String getResource() {
      return this.resource;
   }

   public String getName() {
      return this.name;
   }

   public String getPermission() {
      return this.permission;
   }

   public void setResource(final String resource) {
      this.resource = resource;
   }

   public void setName(final String name) {
      this.name = name;
   }

   public void setPermission(final String permission) {
      this.permission = permission;
   }

   public String toString() {
      String var10000 = this.getResource();
      return "ResourceCheck(resource=" + var10000 + ", name=" + this.getName() + ", permission=" + this.getPermission() + ")";
   }
}
